#@ load("@ytt:data", "data")

#@ ns = data.values.application.namespace

---
apiVersion: v1
kind: Secret
metadata:
  name: forgejo-admin-secret
  namespace: #@ ns
  annotations:
    secret-generator.v1.mittwald.de/autogenerate: password
    secret-generator.v1.mittwald.de/encoding: hex
    secret-generator.v1.mittwald.de/length: "24"
type: Opaque
stringData:
  username: gitea_admin
